


#include <iostream>
#include <vector>
#include <string>
#include <sstream>
#include <SFML/Window.hpp>
#include <SFML/Graphics.hpp>


class MainWindow : public sf::RenderWindow{

	private:
		std::vector<sf::Color> m_skin;
		int m_windowMargin;
		int m_sizeCell;
		int m_spaceBetweenCell;
		sf::Vector2u m_windowSize;

	public:
		MainWindow(int width, int height, std::string title);
		~MainWindow();

		void clearBG();
		void drawGrid(std::vector<std::vector<int> > grid);
		void drawCell(int x, int y, int value);
		sf::Color getCellColor(int value);


};
